# Ig

## GET /api/v1/dashboard/ig/

> Retrieve Interest Group.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"InterestGroup":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"resource":{"type":"string","nullable":true},"about":{"type":"string","nullable":true},"prerequisites":{"type":"string","nullable":true},"career_opportunities":{"type":"string","nullable":true},"top_blogs":{"type":"string","nullable":true},"people_to_follow":{"type":"string","nullable":true},"leads":{"type":"string","nullable":true},"mentors":{"type":"string","nullable":true},"thinktank":{"type":"string","nullable":true},"office_hours":{"type":"string","nullable":true,"maxLength":200},"icon":{"type":"string","maxLength":10},"code":{"type":"string","maxLength":10},"category":{"enum":["maker","coder","creative","manager","others"],"type":"string","description":"* `maker` - maker\n* `coder` - coder\n* `creative` - creative\n* `manager` - manager\n* `others` - others"},"status":{"enum":["active","requested","cancelled","rejected"],"type":"string","description":"* `active` - active\n* `requested` - requested\n* `cancelled` - cancelled\n* `rejected` - rejected"},"members":{"type":"string","readOnly":true},"updated_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_by":{"type":"string"},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["category","code","created_at","created_by","icon","members","name","status","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/ig/":{"get":{"operationId":"dashboard_ig_retrieve","description":"Retrieve Interest Group.","tags":["Ig"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/InterestGroup"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/ig/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/":{"post":{"operationId":"dashboard_ig_create","tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/ig/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/":{"put":{"operationId":"dashboard_ig_update","tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/ig/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/":{"delete":{"operationId":"dashboard_ig_destroy","tags":["Ig"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/ig/{id}/

> Retrieve Interest Group.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"InterestGroup":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"resource":{"type":"string","nullable":true},"about":{"type":"string","nullable":true},"prerequisites":{"type":"string","nullable":true},"career_opportunities":{"type":"string","nullable":true},"top_blogs":{"type":"string","nullable":true},"people_to_follow":{"type":"string","nullable":true},"leads":{"type":"string","nullable":true},"mentors":{"type":"string","nullable":true},"thinktank":{"type":"string","nullable":true},"office_hours":{"type":"string","nullable":true,"maxLength":200},"icon":{"type":"string","maxLength":10},"code":{"type":"string","maxLength":10},"category":{"enum":["maker","coder","creative","manager","others"],"type":"string","description":"* `maker` - maker\n* `coder` - coder\n* `creative` - creative\n* `manager` - manager\n* `others` - others"},"status":{"enum":["active","requested","cancelled","rejected"],"type":"string","description":"* `active` - active\n* `requested` - requested\n* `cancelled` - cancelled\n* `rejected` - rejected"},"members":{"type":"string","readOnly":true},"updated_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_by":{"type":"string"},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["category","code","created_at","created_by","icon","members","name","status","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/ig/{id}/":{"get":{"operationId":"dashboard_ig_retrieve_2","description":"Retrieve Interest Group.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Ig"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/InterestGroup"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/ig/{id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/{id}/":{"post":{"operationId":"dashboard_ig_create_2","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/ig/{id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/{id}/":{"put":{"operationId":"dashboard_ig_update_2","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/ig/{id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/{id}/":{"delete":{"operationId":"dashboard_ig_destroy_2","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Ig"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/ig/csv/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/csv/":{"get":{"operationId":"dashboard_ig_csv_retrieve","tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/ig/get/{id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/get/{id}/":{"get":{"operationId":"dashboard_ig_get_retrieve","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/ig/get/{id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/get/{id}/":{"patch":{"operationId":"dashboard_ig_get_partial_update","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/ig/list/

> Retrieve Interest Group List Api.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"InterestGroup":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"name":{"type":"string","maxLength":75},"resource":{"type":"string","nullable":true},"about":{"type":"string","nullable":true},"prerequisites":{"type":"string","nullable":true},"career_opportunities":{"type":"string","nullable":true},"top_blogs":{"type":"string","nullable":true},"people_to_follow":{"type":"string","nullable":true},"leads":{"type":"string","nullable":true},"mentors":{"type":"string","nullable":true},"thinktank":{"type":"string","nullable":true},"office_hours":{"type":"string","nullable":true,"maxLength":200},"icon":{"type":"string","maxLength":10},"code":{"type":"string","maxLength":10},"category":{"enum":["maker","coder","creative","manager","others"],"type":"string","description":"* `maker` - maker\n* `coder` - coder\n* `creative` - creative\n* `manager` - manager\n* `others` - others"},"status":{"enum":["active","requested","cancelled","rejected"],"type":"string","description":"* `active` - active\n* `requested` - requested\n* `cancelled` - cancelled\n* `rejected` - rejected"},"members":{"type":"string","readOnly":true},"updated_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time","readOnly":true},"created_by":{"type":"string"},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["category","code","created_at","created_by","icon","members","name","status","updated_at","updated_by"]}}},"paths":{"/api/v1/dashboard/ig/list/":{"get":{"operationId":"dashboard_ig_list_retrieve","description":"Retrieve Interest Group List Api.","tags":["Ig"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/InterestGroup"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/ig/request/

> API endpoint for users to submit and retrieve IG creation requests.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/request/":{"get":{"operationId":"dashboard_ig_request_retrieve","description":"API endpoint for users to submit and retrieve IG creation requests.","tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/ig/request/

> API endpoint for users to submit and retrieve IG creation requests.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/request/":{"post":{"operationId":"dashboard_ig_request_create","description":"API endpoint for users to submit and retrieve IG creation requests.","tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/ig/request/

> API endpoint for users to submit and retrieve IG creation requests.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/request/":{"patch":{"operationId":"dashboard_ig_request_partial_update","description":"API endpoint for users to submit and retrieve IG creation requests.","tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/ig/request/{id}/

> API endpoint for users to submit and retrieve IG creation requests.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/request/{id}/":{"get":{"operationId":"dashboard_ig_request_retrieve_2","description":"API endpoint for users to submit and retrieve IG creation requests.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/ig/request/{id}/

> API endpoint for users to submit and retrieve IG creation requests.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/request/{id}/":{"post":{"operationId":"dashboard_ig_request_create_2","description":"API endpoint for users to submit and retrieve IG creation requests.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/ig/request/{id}/

> API endpoint for users to submit and retrieve IG creation requests.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/ig/request/{id}/":{"patch":{"operationId":"dashboard_ig_request_partial_update_2","description":"API endpoint for users to submit and retrieve IG creation requests.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Ig"],"responses":{"200":{"description":"No response body"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/ig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
